"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const github_action_helper_1 = require("@technote-space/github-action-helper");
const command = __importStar(require("@technote-space/release-github-actions/lib/utils/command"));
const misc = __importStar(require("@technote-space/release-github-actions/lib/utils/misc"));
const context = (args) => ({
    payload: {
        action: 'published',
        release: {
            'tag_name': args.tagName,
        },
    },
    eventName: 'release',
    ref: `refs/heads/${args.branch}`,
    sha: '',
    workflow: '',
    action: '',
    actor: '',
    issue: {
        owner: '',
        repo: '',
        number: 1,
    },
    repo: {
        owner: args.owner,
        repo: args.repo,
    },
});
exports.isValidContext = (args) => misc.isValidContext(context(args));
exports.prepare = (helper, args) => __awaiter(void 0, void 0, void 0, function* () { return command.prepareCommit(helper, context(args)); });
exports.commit = (helper) => __awaiter(void 0, void 0, void 0, function* () {
    yield command.config(helper);
    yield command.commit(helper);
});
exports.push = (helper, args) => __awaiter(void 0, void 0, void 0, function* () { return command.push(helper, context(args)); });
exports.getContextArgs = (tagName, branch) => {
    if (!process.env['TARGET_OWNER']) {
        throw new Error('<TARGET_OWNER> is required.');
    }
    if (!process.env['TARGET_REPO']) {
        throw new Error('<TARGET_REPO> is required.');
    }
    return { tagName, branch, owner: process.env['TARGET_OWNER'], repo: process.env['TARGET_REPO'] };
};
exports.getGitHelper = () => new github_action_helper_1.GitHelper(new github_action_helper_1.Logger());
